Subject: RE: bug#41006: 26.3; regular expressions documentation

From: Drew Adams <[email-masked]>
Date: Wed, 6 May 2020 20:17:11 -0700 (PDT)

>   > But I think `Regexp Search' should come before
>   > `Regular Expressions'.
> 
> To me, what a regular expression consists of
> is logically prior to how to search for one.
> You can't search for one
> unless you can write one.

I also said (in a different msg):

  Info about _use_ before reference info about
  _what_ they are.  That's possible, and probably
  more helpful.

and

  But yes, the order between "use" (search & match)
  and "what" isn't all that important, especially
  since each is itself a big topic with multiple
  subtopics.  The main thing is grouping like with
  like, "together"

Logically, as you say, in-depth/practical use of
regexps to search/match requires understanding
regexps, including soem details of their syntax
and behavior.

It doesn't follow that general use of regexps to
search/match ("how") can't usefully be introduced
before the full "what".

You saw quite a lot about the use of a car before
you had any good knowledge of the relations of its
parts, how it and they function, or the details of
how to drive.  To really know how to drive, yes,
you need to know something about the relations
among engine, brakes, lights, signals, etc.  But
to get the overall picture of how to drive, no -
you mainly need to know what a car is for, and
have some experience of seeing a car driven.

Anyway, I have no druthers here.  I was trying
to help with Stefan K's problem: he was _looking_
for how-to-use regexps, he already had knowledge
about regexps (from other languages), and when
trying to find the how-to-use info he was plunged
into the what-regexps-are info, which he didn't
care about (at that point).